ch.qos.logback.classic.boolex

## Class EvaluatorTemplate

- java.lang.Object
- - ch.qos.logback.classic.boolex.EvaluatorTemplate

All Implemented Interfaces:
  IEvaluator, groovy.lang.GroovyObject

    public class EvaluatorTemplate
    extends Object
    implements IEvaluator, groovy.lang.GroovyObject

### Constructor Summary

Constructors
Constructor and Description
`EvaluatorTemplate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `doEvaluate(ILoggingEvent event)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvaluatorTemplate

    public EvaluatorTemplate()

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public Object getProperty(String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty(String property,
                            Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### doEvaluate

    public boolean doEvaluate(ILoggingEvent event)

Specified by:
  `doEvaluate` in interface `IEvaluator`